BioLite is developed by the [Dunn Lab](http://dunnlab.org) at Brown University.

**biolite-tools** is a collectin of C++ command-line tools for Next-Generation
Sequencing data. They are designed to be used in conjunction with the BioLite
python module, but can also be used on their own. They follow a standard Unix
"pipe and filter" design pattern.


# Citing

BioLite is still under development, and is an experimental tool that should be
used with care.  Please cite:

Howison M, Sinnott-Armstrong NA, Dunn CW. 2012. [BioLite, a lightweight
bioinformatics framework with automated tracking of diagnostics and
provenance](https://www.usenix.org/conference/tapp12/biolite-lightweight-bioinformatics-framework-automated-tracking-diagnostics-and).
In *Proceedings of the 4th USENIX Workshop on the Theory and Practice of
Provenance (TaPP '12)*, 14-15 June 2012, Boston, MA, USA.


# Funding

This software has been developed with support from the following US National
Science Foundation grants:

PSCIC Full Proposal: The iPlant Collaborative: A Cyberinfrastructure-Centered
Community for a New Plant Biology (Award Number 0735191)

Collaborative Research: Resolving old questions in Mollusc phylogenetics with
new EST data and developing general phylogenomic tools (Award Number 0844596)

Infrastructure to Advance Life Sciences in the Ocean State (Award Number
1004057)

The Brown University [Center for Computation and Visualization](http://www.brown.edu/Departments/CCV/) has been instrumental to the development of BioLite.


# License

Copyright (c) 2012-2014 Brown University. All rights reserved.

biolite-tools is distributed under the GNU General Public License version
3. For more information, see LICENSE or visit:
[http://www.gnu.org/licenses/gpl.html](http://www.gnu.org/licenses/gpl.html)

biolite-tools includes source code from the following projects:

* gzstream C++ interface v1.5, which is distributed under the GNU Lesser
  General Public License in `LICENSE.gzstream`

